Get event attendee by person
GET
/api/events/{eventid}/attendee-for-personid
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://api.eventpoint.io/api/events/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/attendee-for-personid"), Headers = { { "x-api-key", "<x-api-key>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://api.eventpoint.io/api/events/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/attendee-for-personid';const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.eventpoint.io/api/events/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/attendee-for-personid \ --header 'x-api-key: <x-api-key>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”eventid
required
string format: uuid
The event identifier.
Query Parameters
Section titled “Query Parameters”personid
string format: uuid
The person identifier.
Responses
Section titled “Responses”OK
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
eventId
string format: uuid
userId
null | string format: uuid
personId
null | string format: uuid
firstName
null | string
lastName
null | string
name
null | string
email
null | string
contactEmail
null | string
phone
null | string
jobTitle
null | string
company
null | string
ticketId
null | string format: uuid
registrantId
null | string format: uuid
invitationId
null | string format: uuid
attendanceTypeId
null | string format: uuid
networkingOptIn
null | boolean
isVirtual
boolean
hasAttended
boolean
attendedDateTime
null | string format: date-time
attendanceStatus
preferenceStatus
preferenceOrder
null | integer | string format: int32
enrollmentStatus
enrollmentDate
null | string format: date-time
enrolledByUserId
null | string format: uuid
enrollmentMode
string
waitlistOrder
null | integer | string format: int32
waitlistDate
null | string format: date-time
removedFromWaitlistDate
null | string format: date-time
prefNotifyUpdates
boolean
externalId
null | string
extraInfo
null | string
meta
null | object
attendanceType
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
organizationId
null | string format: uuid
name
null | string
description
null | string
publish
boolean
useForAllEventTypes
boolean
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
itemOrder
integer | string format: int32
hasMetaFields
boolean
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
eventId
string format: uuid
userId
null | string format: uuid
personId
null | string format: uuid
firstName
null | string
lastName
null | string
name
null | string
email
null | string
contactEmail
null | string
phone
null | string
jobTitle
null | string
company
null | string
ticketId
null | string format: uuid
registrantId
null | string format: uuid
invitationId
null | string format: uuid
attendanceTypeId
null | string format: uuid
networkingOptIn
null | boolean
isVirtual
boolean
hasAttended
boolean
attendedDateTime
null | string format: date-time
attendanceStatus
preferenceStatus
preferenceOrder
null | integer | string format: int32
enrollmentStatus
enrollmentDate
null | string format: date-time
enrolledByUserId
null | string format: uuid
enrollmentMode
string
waitlistOrder
null | integer | string format: int32
waitlistDate
null | string format: date-time
removedFromWaitlistDate
null | string format: date-time
prefNotifyUpdates
boolean
externalId
null | string
extraInfo
null | string
meta
null | object
attendanceType
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
organizationId
null | string format: uuid
name
null | string
description
null | string
publish
boolean
useForAllEventTypes
boolean
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
itemOrder
integer | string format: int32
hasMetaFields
boolean
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
Example
{ "attendanceStatus": "NeedsAction", "preferenceStatus": "None", "enrollmentStatus": "Pending"}object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
eventId
string format: uuid
userId
null | string format: uuid
personId
null | string format: uuid
firstName
null | string
lastName
null | string
name
null | string
email
null | string
contactEmail
null | string
phone
null | string
jobTitle
null | string
company
null | string
ticketId
null | string format: uuid
registrantId
null | string format: uuid
invitationId
null | string format: uuid
attendanceTypeId
null | string format: uuid
networkingOptIn
null | boolean
isVirtual
boolean
hasAttended
boolean
attendedDateTime
null | string format: date-time
attendanceStatus
preferenceStatus
preferenceOrder
null | integer | string format: int32
enrollmentStatus
enrollmentDate
null | string format: date-time
enrolledByUserId
null | string format: uuid
enrollmentMode
string
waitlistOrder
null | integer | string format: int32
waitlistDate
null | string format: date-time
removedFromWaitlistDate
null | string format: date-time
prefNotifyUpdates
boolean
externalId
null | string
extraInfo
null | string
meta
null | object
attendanceType
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
organizationId
null | string format: uuid
name
null | string
description
null | string
publish
boolean
useForAllEventTypes
boolean
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
itemOrder
integer | string format: int32
hasMetaFields
boolean
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
Example
{ "attendanceStatus": "NeedsAction", "preferenceStatus": "None", "enrollmentStatus": "Pending"}Forbidden
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}